Teams

GET /api/v1/teams

Get Teams

getTeams returns all teams the user has access to

Response

Type: []Team

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
organization_idstring
slugstringUnique within org
has_logobool
logostring
member_countint64Computed (not stored in DB)
organization_namestring
organizationOrganizationRelationships (optional)
members[]TeamMember(optional)
projects[]Project(optional)

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/teams

POST /api/v1/teams

Create Team

postTeam creates a new team

Request Body

Type: CreateTeamRequest

Response

Type: Team

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
organization_idstring
slugstringUnique within org
has_logobool
logostring
member_countint64Computed (not stored in DB)
organization_namestring
organizationOrganizationRelationships (optional)
members[]TeamMember(optional)
projects[]Project(optional)

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/teams

GET /api/v1/teams/{id}

Get Team

getTeam returns a specific team

Parameters

NameInTypeRequired
idpathstringtrue

Response

Type: Team

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
organization_idstring
slugstringUnique within org
has_logobool
logostring
member_countint64Computed (not stored in DB)
organization_namestring
organizationOrganizationRelationships (optional)
members[]TeamMember(optional)
projects[]Project(optional)

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/teams/{id}

PUT /api/v1/teams/{id}

Update Team

putTeam updates a team

Parameters

NameInTypeRequired
idpathstringtrue

Request Body

Type: Team

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
organization_idstring
slugstringUnique within org
has_logobool
logostring
member_countint64Computed (not stored in DB)
organization_namestring
organizationOrganizationRelationships (optional)
members[]TeamMember(optional)
projects[]Project(optional)

Response

Type: Team

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
organization_idstring
slugstringUnique within org
has_logobool
logostring
member_countint64Computed (not stored in DB)
organization_namestring
organizationOrganizationRelationships (optional)
members[]TeamMember(optional)
projects[]Project(optional)

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/teams/{id}

DELETE /api/v1/teams/{id}

Delete Team

deleteTeam deletes a team

Parameters

NameInTypeRequired
idpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/teams/{id}

GET /api/v1/teams/{id}/logo

Get Team Logo

getTeamLogo serves the logo for a team Logos are publicly accessible (no auth required) to allow browser tags to load them

Parameters

NameInTypeRequired
idpathstringtrue

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/teams/{id}/logo

POST /api/v1/teams/{id}/logo

Create Team Logo

uploadTeamLogo uploads a logo for a team

Parameters

NameInTypeRequired
idpathstringtrue

Response

Type: Team

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
namestring
descriptionstring
organization_idstring
slugstringUnique within org
has_logobool
logostring
member_countint64Computed (not stored in DB)
organization_namestring
organizationOrganizationRelationships (optional)
members[]TeamMember(optional)
projects[]Project(optional)

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  https://api.seeme.ai/api/v1/teams/{id}/logo

DELETE /api/v1/teams/{id}/logo

Delete Team Logo

deleteTeamLogo deletes the logo for a team

Parameters

NameInTypeRequired
idpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/teams/{id}/logo